package net.northking.cctp.element.mobile.ios;

import net.northking.cctp.element.core.AbstractLibrary;
import net.northking.cctp.element.core.annotation.Library;
import net.northking.cctp.element.core.type.LibraryConstant;
import net.northking.cctp.element.util.Javadoc2Libdoc;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <p>该组件用于ios端手机的操控</p>
 */
@Library(scanBasePackage = "net.northking.cctp.element.mobile.ios",infoClass = MobileIosLibrary.class)
public class MobileIosLibrary extends AbstractLibrary {

    private static final Logger logger = LoggerFactory.getLogger(MobileIosLibrary.class);
    private static final Javadoc2Libdoc JAVA_DOC_2_LIB_DOC = new Javadoc2Libdoc(MobileIosLibrary.class);
    private static final String NAME = "NK.MobileIos";
    private static final String CH_NAME = "移动端ios通用组件库";
    private static final String VERSION = "1.0.15";
    private static final Integer TYPE = LibraryConstant.LIB_TYPE_NOT;

    @Override
    public Javadoc2Libdoc getLibDoc() {
        return JAVA_DOC_2_LIB_DOC;
    }

    @Override
    public void destroy() {
        logger.info("destroy done.");
    }

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    public String getChName() {
        return CH_NAME;
    }

    @Override
    public String getVersion() {
        return VERSION;
    }

    @Override
    public Integer getType() {
        return TYPE;
    }
}
